Bug 445297 - Add fonts-chinese-zysong package for zysong font from fonts-chinese.
Add fonts-chinese-zysong package for zysong font from fonts-chinese.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: releng (Show other bugs)
4.7
All Linux
high Severity medium
: ---
: ---
Assigned To: Caius Chance
Release Test Team
: i18n
Depends On: 247577
Blocks: 444942
  Show dependency treegraph
 
Reported: 2008-05-05 20:13 EDT by Caius Chance
Modified: 2009-05-18 16:09 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* the Zhong Yi Song TrueType font was formerly part of the ttfonts-zh_CN package. The copyright in this font belongs to Beijing Zhong Yi Electronics Co., which has licensed Red Hat Inc. to distribute the font only in products and software under the Red Hat name. The inclusion of this font in ttfonts-zh_CN would therefore preclude Red Hat from freely distributing that package. The Zhong Yi Song TrueType font is still available to Red Hat customers via the Red Hat Network and the Supplementary CD.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed .spec (2.84 KB, text/plain)
2008-10-01 00:00 EDT, Caius Chance
no flags Details
fonts-chinese-zysong.spec-el4-vs-el5.diff (8.46 KB, patch)
2008-12-10 01:40 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Comment 3 Caius Chance 2008-08-29 06:36:52 EDT
ping
Comment 5 Caius Chance 2008-10-01 00:00:29 EDT
Created attachment 318159 [details]
proposed .spec
Comment 7 Jens Petersen 2008-10-03 03:33:29 EDT
The new RHEL-4 package should merge from fonts-chinese-zysong/RHEL-5/.
Comment 12 Caius Chance 2008-12-10 02:24:02 EST
The main differences are as follows:

- EL5 has symlink of zysong.ttf and its corresponding directory for backward compatibility, whethere EL4 has zysong.ttf located as its original location.

- cidfmap.zh_CN and CIDFnmap.zh_CN is modified in EL5 during %preun.

- EL4 runs redhat-update-gnome-font-install for Gnome font updates but EL5 doesn't.

- Various alignment adjustments of .spec file contents.
Comment 13 Caius Chance 2008-12-14 23:37:54 EST
Hi rel-eng, please kindly create a RHEL-4 tree for this bug, on cvs.devel.redhat.com. Thanks.
Comment 14 Daniel Mach 2008-12-15 04:36:21 EST
Branch 'RHEL-4' created for module 'fonts-chinese-zysong' from branch 'devel'
Comment 20 Ruediger Landmann 2009-01-12 00:04:24 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* the Zhong Yi Zong TrueType font was formerly part of the ttfonts-zh_CN package. The copyright in this font belongs to Beijing Zhong Yi Electronics Co., which has licensed Red Hat Inc. to distribute the font only in products and software under the Red Hat name. The inclusion of this font in the ttfonts-zh_CN would therefore preclude Red Hat from freely distributing that package. The Zhong Yi Zong TrueType font is still available to Red Hat customers via the Red Hat Network and the Supplementary CD.
Comment 21 Ruediger Landmann 2009-01-12 00:08:54 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-* the Zhong Yi Zong TrueType font was formerly part of the ttfonts-zh_CN package. The copyright in this font belongs to Beijing Zhong Yi Electronics Co., which has licensed Red Hat Inc. to distribute the font only in products and software under the Red Hat name. The inclusion of this font in the ttfonts-zh_CN would therefore preclude Red Hat from freely distributing that package. The Zhong Yi Zong TrueType font is still available to Red Hat customers via the Red Hat Network and the Supplementary CD.+* the Zhong Yi Zong TrueType font was formerly part of the ttfonts-zh_CN package. The copyright in this font belongs to Beijing Zhong Yi Electronics Co., which has licensed Red Hat Inc. to distribute the font only in products and software under the Red Hat name. The inclusion of this font in ttfonts-zh_CN would therefore preclude Red Hat from freely distributing that package. The Zhong Yi Zong TrueType font is still available to Red Hat customers via the Red Hat Network and the Supplementary CD.
Comment 22 Jens Petersen 2009-01-12 21:00:28 EST
Fixed spelling of Song in relnotes.
Comment 23 Jens Petersen 2009-01-12 21:00:28 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-* the Zhong Yi Zong TrueType font was formerly part of the ttfonts-zh_CN package. The copyright in this font belongs to Beijing Zhong Yi Electronics Co., which has licensed Red Hat Inc. to distribute the font only in products and software under the Red Hat name. The inclusion of this font in ttfonts-zh_CN would therefore preclude Red Hat from freely distributing that package. The Zhong Yi Zong TrueType font is still available to Red Hat customers via the Red Hat Network and the Supplementary CD.+* the Zhong Yi Song TrueType font was formerly part of the ttfonts-zh_CN package. The copyright in this font belongs to Beijing Zhong Yi Electronics Co., which has licensed Red Hat Inc. to distribute the font only in products and software under the Red Hat name. The inclusion of this font in ttfonts-zh_CN would therefore preclude Red Hat from freely distributing that package. The Zhong Yi Song TrueType font is still available to Red Hat customers via the Red Hat Network and the Supplementary CD.
Comment 28 Caius Chance 2009-02-25 20:39:47 EST
cool ryan thx
Comment 29 errata-xmlrpc 2009-05-18 16:09:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0965.html

Note You need to log in before you can comment on or make changes to this bug.